// =================================================================================================
// CopySourceAsHtml
// 
// Copyright  2006 J.T. Leigh & Associates Inc.  All rights reserved.
// 
// Microsoft and Visual Studio are either trademarks or registered trademarks 
// Corporation.
// 
// THIS SOFTWARE IS PROVIDED "AS-IS," WITHOUT WARRANTY OF ANY KIND, AND ANY USE OF THIS SOFTWARE 
// PRODUCT IS AT YOUR OWN RISK.  TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, J.T. LEIGH &
// ASSOCIATES AND ITS SUPPLIERS DISCLAIM ALL WARRANTIES AND CONDITIONS, EITHER EXPRESS OR IMPLIED, 
// INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES AND CONDITIONS OF MERCHANTABILITY AND/OR 
// FITNESS FOR A PARTICULAR PURPOSE, TITLE, AND NON-INFRINGEMENT, WITH REGARD TO THE SOFTWARE. 
// =================================================================================================

using System;

namespace JTLeigh.Tools.CopySourceAsHtml
{

    public class HtmlColor
    {

        private string color;

        public HtmlColor(int r, int g, int b)
        {
            this.color = String.Format("#{0:x2}{1:x2}{2:x2}", r, g, b);
            switch (this.color)
            {
                case "#00ffff":
                    this.color = "aqua";
                    break;
                case "#000000":
                    this.color = "black";
                    break;
                case "#0000ff":
                    this.color = "blue";
                    break;
                case "#ff00ff":
                    this.color = "fuchsia";
                    break;
                case "#808080":
                    this.color = "gray";
                    break;
                case "#008000":
                    this.color = "green";
                    break;
                case "#00ff00":
                    this.color = "lime";
                    break;
                case "#800000":
                    this.color = "maroon";
                    break;
                case "#000080":
                    this.color = "navy";
                    break;
                case "#808000":
                    this.color = "olive";
                    break;
                case "#800080":
                    this.color = "purple";
                    break;
                case "#ff0000":
                    this.color = "red";
                    break;
                case "#c0c0c0":
                    this.color = "silver";
                    break;
                case "#008080":
                    this.color = "teal";
                    break;
                case "#ffffff":
                    this.color = "white";
                    break;
                case "#ffff00":
                    this.color = "yellow";
                    break;
            }
        }

        public override string ToString()
        {
            return this.color;
        }

    }

}
